<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="
    category === feedCategory.new
      ? t('for_you.new_title')
      : category === feedCategory.upcomingEvents
        ? t('for_you.upcoming_events_title')
        : ''
  "
  class="ion-page"
>
  <lib-refresher (ionRefresh)="refreshView($event)"></lib-refresher>

  <div
    class="content-spacing-medium-medium flex-list-feed-items"
    id="mainDashboard"
  >
    <lib-connectivity-error-handling-card
      [show]="displayConnectivityError"
    ></lib-connectivity-error-handling-card>
    <lib-went-wrong-error-handling-card
      [hasFeedItems$]="hasFeedItems$"
      [show]="displayConnectivityError"
    ></lib-went-wrong-error-handling-card>
    <lib-update-notifier></lib-update-notifier>
    @if (!displayConnectivityError) {
      @if (category === feedCategory.new) {
        @for (feedItem of feedItemsNew; track feedItem.id) {
          <ion-col [size]="12" aria-live="polite" aria-atomic="true">
            <ng-container
              *ngComponentOutlet="
                feedItem.forYouComponent;
                inputs: {
                  feedItem: feedItem,
                  routerLink: ['/for-you', feedItem.baseRoutePath, feedItem.id],
                }
              "
            ></ng-container>
          </ion-col>
        }
      } @else if (category === feedCategory.upcomingEvents) {
        @for (feedItem of feedItemsUpcomingEvents; track feedItem.id) {
          <ion-col
            [size]="12"
            class="flex-list-feed-items"
            aria-live="polite"
            aria-atomic="true"
          >
            <ng-container
              *ngComponentOutlet="
                feedItem.forYouComponent;
                inputs: {
                  feedItem: feedItem,
                  routerLink: ['/for-you', feedItem.baseRoutePath, feedItem.id],
                }
              "
            ></ng-container>
          </ion-col>
        }
      }
    }
    <lib-skeleton-feed-loading-for-you
      [show]="loadingNewFeedItems"
    ></lib-skeleton-feed-loading-for-you>
    <lib-skeleton-feed-loading-for-you
      [show]="loadingUpcomingEventsFeedItems"
    ></lib-skeleton-feed-loading-for-you>
  </div>

  <ion-infinite-scroll
    (ionInfinite)="loadMoreFeedItems($event)"
    *ngIf="shouldShowNewInfiniteScroll"
  >
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll>
  <ion-infinite-scroll
    (ionInfinite)="loadMoreFeedItems($event)"
    *ngIf="shouldShowUpcomingEventsInfiniteScroll"
  >
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll>
</lib-condensed-header-layout>
